%include %{_rpmconfigdir}/macros.python3

Name: python3-bcrypt
Version: 3.1.4
Release: 6
License: Apache-2.0
Summary: Modern password hashing for your software and your servers
Url: https://pypi.python.org/pypi/bcrypt/

Source: https://pypi.python.org/packages/f3/ec/bb6b384b5134fd881b91b6aa3a88ccddaad0103857760711a5ab8c799358/bcrypt-3.1.4.tar.gz

Patch0: bcrypt-endian.patch

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: libffi-devel

BuildRequires: python3-cffi
BuildRequires: python3-six

Requires: python3-cffi
Requires: python3-six

%description
Modern password hashing for your software and your servers

%prep
%setup -q -n bcrypt-%{version}

%patch0 -p1

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/bcrypt*

%changelog
* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Use SPDX license identifier
- Remove -I and --no-deps from install cmd to ensure package deps set correctly
- Add requires of six and cffi

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Jul 17 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded transitive dependencies from python spec files

* Wed May 09 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial package
